package de.mobileview.playground;

import javax.ejb.EJB;
import javax.ejb.Stateful;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceContextType;

@Stateful
@TransactionAttribute(TransactionAttributeType.NEVER)
public class TestBean {

    @PersistenceContext(type=PersistenceContextType.EXTENDED)
    private EntityManager em;
    
    @EJB
    private TestDao dao;
    
    public void queueUserNoTx(User user) {
        // queue persist operation, no tx
        em.persist(user);
    }
    
    public void saveUser(final User user) {
        // no tx, call transacted dao to persist user
        dao.saveUser(user);
    }
    
}
